%define upstream_name    XML-Compile-Tester
%define upstream_version 0.91

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Support XML::Compile related regression testing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Report) >= 0.170.0
BuildRequires: perl(Test::Deep) >= 0.95.0
BuildRequires: perl(Test::More) >= 0.540.0
BuildArch:  noarch

%description
The XML::Compile module suite has extensive regression testing. Probably,
you want to do regression testing as well. This module provide functions
which simplify writing tests for XML::Compile related distributions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.910.0-5.mga10
+ Revision: 2204806
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.910.0-4.mga9
+ Revision: 1810572
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.910.0-3.mga8
+ Revision: 1506999
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.910.0-2.mga7
+ Revision: 1287300
- Mageia 7 Mass Rebuild

* Thu May 17 2018 shlomif <shlomif> 0.910.0-1.mga7
+ Revision: 1230082
- update to 0.91

* Sun Jun 19 2016 pterjan <pterjan> 0.900.0-8.mga6
+ Revision: 1035897
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.900.0-7.mga6
+ Revision: 948761
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.900.0-6.mga5
+ Revision: 788246
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.900.0-5.mga5
+ Revision: 742185
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.900.0-3.mga4
+ Revision: 516087
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.900.0-2.mga3
+ Revision: 374963
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 16 2012 shlomif <shlomif> 0.900.0-1.mga3
+ Revision: 281559
- update to 0.90

* Mon Aug 06 2012 shlomif <shlomif> 0.60.0-1.mga3
+ Revision: 279248
- imported package perl-XML-Compile-Tester


* Mon Aug 06 2012 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
